Defines | Functions | Variables

# build/parseScript.c File Reference

Parse install-time script section from spec file. More...

`#include "system.h"`
`#include <rpmio.h>`
`#include "rpmbuild.h"`
`#include "debug.h"`
`#include <rpmlua.h>`
Include dependency graph for parseScript.c:

Go to the source code of this file.

## Defines
#define | _RPMEVR_INTERNAL
## Functions
static uint32_t | addTriggerIndex (Package pkg, const char *file, const char *script, const char *prog)
int | parseScript (Spec spec, int parsePart)
| Parse %pre et al scriptlets from a spec file.
## Variables
static const char * | name = NULL
static const char * | prog = NULL
static const char * | file = NULL
static struct poptOption | optionsTable []

## Detailed Description

Parse install-time script section from spec file.

Definition in file parseScript.c.

## Define Documentation

#define _RPMEVR_INTERNAL

Definition at line 9 of file parseScript.c.

## Function Documentation

static uint32_t addTriggerIndex | ( | Package | pkg,
|  | const char * | file,
|  | const char * | script,
|  | const char * | prog
| ) |  | `[static]`

Definition at line 20 of file parseScript.c.

References file, TriggerFileEntry::fileName, TriggerFileEntry::index, TriggerFileEntry::next, TriggerFileEntry::prog, TriggerFileEntry::script, Package_s::triggerFiles, xcalloc(), and xstrdup().

Referenced by parseScript().

## Variable Documentation

const char* file = NULL`[static]`

Definition at line 59 of file parseScript.c.

Referenced by addTriggerIndex(), and parseScript().

const char* name = NULL`[static]`

Definition at line 55 of file parseScript.c.

struct poptOption optionsTable[]`[static]`

Initial value:

     {
            { NULL, 'p', POPT_ARG_STRING, &prog, 'p',       NULL, NULL},
            { NULL, 'n', POPT_ARG_STRING, &name, 'n',       NULL, NULL},
            { NULL, 'f', POPT_ARG_STRING, &file, 'f',       NULL, NULL},
            { 0, 0, 0, 0, 0,        NULL, NULL}
        }

Definition at line 61 of file parseScript.c.

Referenced by parseScript().

const char* prog = NULL`[static]`

Definition at line 57 of file parseScript.c.

Referenced by parseScript().